#! /usr/bin/env ruby

module WTBuildHelpers
end
   
module WTBuildHelpers::Help

    def self.print_help()
        puts "Usage: wtbuild help command"
    end

    def self.print_command_help(args, commands)
        command_name = args[0]
        command = commands.find do |c|
            c.command == command_name
        end

        if command 
            command.help_function.call()
        else
            puts "Unknown command: #{command_name}"
            exit 1
        end
    end
end
